Graph::Easy::Node::Cell(3)

NAME
Graph::Easy::Node::Cell - An empty filler cell

SYNOPSIS
        use Graph::Easy;
        use Graph::Easy::Edge;

        my $graph = Graph::Easy->new();

        my $node = $graph->add_node('A');

        my $path = Graph::Easy::Node::Cell->new(
          graph => $graph, node => $node,
        );

        ...

        print $graph->as_ascii();

DESCRIPTION
A "Graph::Easy::Node::Cell" is used to reserve a cell in the grid for nodes that occupy more than one cell.

You should not need to use this class directly.

METHODS

  error()
        $last_error = $cell->error();

        $cvt->error($error);                    # set new messages
        $cvt->error('');                        # clear error

Returns the last error message, or '' for no error.

  node()
        my $node = $cell->node();

Returns the node this filler cell belongs to.

SEE ALSO
Graph::Easy.

AUTHOR
Copyright (C) 2004 - 2005 by Tels <http://bloodgate.com>.

See the LICENSE file for more details.